package com.aitrainer.api.repository

import com.aitrainer.api.model.ExerciseResult
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ExerciseResultRepository : JpaRepository<ExerciseResult, Long> {
    fun getAllByCustomerId( customerId: Long? ):List<ExerciseResult>
}